### Constructor

# Gtk.Printer.new

#### Declaration [src]

    GtkPrinter*
    gtk_printer_new (
      const char* name,
      GtkPrintBackend* backend,
      gboolean virtual_
    )

#### Description [src]

Creates a new `GtkPrinter`.

#### Parameters

`name` | `const char*`
| the name of the printer
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`backend` | `GtkPrintBackend`
| a `GtkPrintBackend`
| Ownership is not transferred to the callee
`virtual_` | `gboolean`
| whether the printer is virtual

#### Return value

Returns: `GtkPrinter`
a new `GtkPrinter`
Ownership of the data is transferred to the caller